<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [hashGainRate](./bitburner.hacknetserversformulas.hashgainrate.md)

## HacknetServersFormulas.hashGainRate() method

Calculate hash gain rate.

**Signature:**

```typescript
hashGainRate(level: number, ramUsed: number, maxRam: number, cores: number, mult?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

level


</td><td>

number


</td><td>

level of the server.


</td></tr>
<tr><td>

ramUsed


</td><td>

number


</td><td>

ramUsed of the server.


</td></tr>
<tr><td>

maxRam


</td><td>

number


</td><td>

maxRam of the server.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

cores of the server.


</td></tr>
<tr><td>

mult


</td><td>

number


</td><td>

_(Optional)_ player production mult (default to 1)


</td></tr>
</tbody></table>

**Returns:**

number

The calculated hash gain rate.

